import java.util.List;
import java.util.Collections;
import java.rmi.server.UnicastRemoteObject;
import java.rmi.Naming;
import java.rmi.RemoteException;

public class Server extends UnicastRemoteObject implements SortServer
{
	public Server() throws RemoteException
	{
	}

	public void sort(List<Integer> list) throws RemoteException
	{
		Collections.sort(list);
	}

	public static void main(String[] args)
	{
		try {
			Server s = new Server();
			Naming.bind("rmi://localhost/Sort", s);
            System.out.println("Server registered");
		} 
		catch (Exception e) {
            System.err.println("Server: " + e.getMessage());
		}
	}
}
